{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% load custom_tags %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables-responsive.css' %}">
    <style type="text/css">
        .fontawesome-icon-list {
            width: 100%;
            max-height: 500px;
            overflow: auto;
            margin: 10px -5px;
        }
        .fontawesome-icon-list .fa-hover span{
            display:block;
            color:#222;
            line-height:25px;
            height:30px;
            padding: 5px;
            cursor: pointer;
            font-size: 12px;
        }
        .fontawesome-icon-list .fa-hover span i{
            font-size: 20px !important;
        }
        .fa-hover>span:hover{
            background-color: #183F62;
            color: #FFFFFF;
            font-weight: bold;
        }
    </style>
    <link rel="stylesheet" href="{% static 'profile/vendors/boxicons/css/flaticon.css' %}">
{% endblock css %}

{% block scripts %}
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>
{% endblock scripts %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{title}}</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <div class="card mb-5 shadow">
        <h5 class="card-header">{% if edit %}Ubah{% else %}Tambah{% endif %} {{breadcrumb}}</h5>
        <div class="card-body">
            
            <div class="col col-md-12 d-flex justify-content-center">
                <div class="crop-preview" style="max-width: 100%; max-height: 100%;"></div>
            </div>

            <form method='post'
            {% if edit %}
                action="{% url 'profile:admin_child_edit' id data.child_id %}"
            {% else %}
                action="{% url 'profile:admin_child_create' id %}"
            {% endif %}>

        
                {% csrf_token %}
                <div class="form-group">
                    <label for="judul">Judul</label>
                    <input type="text" placeholder="Masukkan Judul..."
                        class="form-control"
                        name="judul"
                        id="judul"
                        value="{{data.nama}}">
                </div>

                <div class="form-group">
                    <label for="deskripsi">Subjudul</label>
                    <textarea name="deskripsi" class="form-control">
                        {{data.deskripsi}}
                    </textarea>
                </div>

                <div class="form-group">
                    <label for="icon">Icon</label>
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text">
                                <i id="img_icon" 
                                {% if edit %}
                                    {% if data.icon != None %}class="{{ data.icon }}"{% endif %}
                                {% else %}
                                    class="bx bxs-x-circle"
                                {% endif %}></i>
                            </span>
                        </div>
                        <input type="text" placeholder="Masukkan Kode Icon..." readonly
                            class="form-control"
                            name="icon" id="icon"
                            aaria-describedby="basic-addon2"
                            {% if edit %}
                                {% if data.icon != None %}value="{{ data.icon|stringformat:'s' }}"{% endif %}
                            {% else %}
                                value=""
                            {% endif %}>
                        <div class="input-group-append">
                            <button class="btn btn-primary" type="button"
                                onclick="get_modal_icon('icon')">
                                <i class="bi bi-search"></i>
                            </button>
                        </div>
                    </div>
                </div>

                <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
            </form>
        </div>
    </div>

    <div class="modal fade" id="modal_icon" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h6 class="m-0 font-weight-bold text-primary">Pilih Icon</h6>
                    <button type="button" class="close text-primary modal-close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body fontawesome-icon-list">
                    <table id="tbl_icon" class="display responsive nowrap mt-0" cellspacing="0" width="100%">
                        <thead hidden>
                            <tr><th>Icon</th><th>Icon</th><th>Icon</th></tr>
                        </thead>
                        <tbody>
                            {% for dtt in dticon %}
                            <tr>
                                {% for dt in dtt %}
                                <td class="fa-hover">
                                    {% if section == 'counts' %}
                                    <span alt="fa {{dt}}"><i class="fa {{dt}}"></i>&nbsp;{{dt}}</span>
                                    {% else %}
                                    <span alt="bx {{dt}}"><i class="bx {{dt}}"></i>&nbsp;{{dt}}</span>
                                    {% endif %}
                                </td>
                                {% endfor %}
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %} 
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#tbl_icon').DataTable({
                "scrollY": 380,
                "paging": false,
                "searching": true,
            });
        });
        function get_modal_icon(aidi){
            $("#modal_icon .modal-body").attr('alt',aidi);
            $("#modal_icon").modal("show");
        }

        $('.fa-hover span').dblclick(function () {
            var ikon = $(this).attr("alt");
            var id_icon = $("#modal_icon .modal-body").attr('alt');

            $('#'+id_icon).val(ikon);
            $("#img_icon").attr('class',ikon);
            $('#modal_icon').modal('hide');
        });
    </script>
{% endblock scripts_bawah %}